27

Even the simple ctrl+F is not working... I tried installing texmaker from software center and xm1math web site, but shortcuts still doesn't work...

34

Install the Qt5 version of texmaker (at this date it is the one you get from ubuntu-software-center) and always run it from terminal using:

env UBUNTU_MENUPROXY= texmaker

or (a permanent solution)

Edit texmaker:

Open nautilus as root:

sudo nautilus

Navigate to usr/share/applications/texmaker , right click on it, properties, and change on Command texmaker %F by env UBUNTU_MENUPROXY= texmaker %F enter image description here`

  • 2
    This is unfortunately not working on a fresh install of ubuntu 16.10. – E.P. Nov 14 '16 at 19:24
  • @E.P. ....... I'm really disappointed with texmaker, they should have tested with all current versions of Ubuntu. I don't use 16.10 and I don't plan to use it, so I can't help those with your problem. If you find the solution, post here. Just one question, did try this procedure with 16.04 and it worked? – Vitor Abella Nov 14 '16 at 21:11
  • I never tried 16.04, I skipped straight from 15.10 (for which I did the remove qt5 thing, making for remarkably bad visuals). If I have time I'll try to test this off of the live USB and maybe compare with 16.04; if anything interesting comes up I'll report it here. – E.P. Nov 14 '16 at 21:26
15

You don't have to install the older version, you just need to remove the appmenu package for QT5:

sudo apt remove appmenu-qt5

P.S. I am not sure if it can cause problems for other applications on your system. It didn't cause any problem in my end.

  • 1
    This worked for me. – Jus12 Dec 21 '16 at 14:03
8

Regarding solution 2 of Vitor, you can also edit the launcher shortcut to TexMaker:

/usr/share/applications/texmaker.desktop

and change the line

Exec=texmaker %F

to

Exec=env UBUNTU_MENUPROXY= texmaker %F
  • Works for me. The menu will then be attached to the actual window and not available at the top bar as usual - but at least it works. What a funny bug. – displayname Jan 22 '17 at 9:54
  • @displayname yep, that's right, this will "break" the global menu, because you are explicitely disabling it - as it is its fault (at least kind of) that the shortcuts are broken... But this is definitely the safest and cleanest solution which should not have any side-effects. Upvote for this one! Removing non-application specific packages like the appmenu-qt5 package without any need doesn't look particularly clever to me... – mozzbozz Feb 12 '17 at 19:51
3

from terminal:

sudo -H gedit /usr/share/applications/texmaker.desktop

you will see

[Desktop Entry]
Categories=Office;Publishing;Qt;X-SuSE-Core-Office;X-Mandriva-Office-Publishing;X-Misc;
Keywords=Editor;Latex;
Exec=texmaker %F
GenericName=LaTeX Editor
Comment=LaTeX development environment
Icon=texmaker
MimeType=text/x-tex;
Name=Texmaker
StartupNotify=false
Terminal=false
Type=Application

Now change the line

Exec=texmaker %F

to

Exec=env UBUNTU_MENUPROXY= texmaker %F

and then save and exit

2

The command

sudo apt remove appmenu-qt5

Worked for my fresh ubuntu 16.04 installation.

  • 1
    We don't know if it may interfere on other applications. @vitor Solution is safer. – Vitor Abella Oct 13 '16 at 19:28
1

Create an alias in the .bashrc or create the file ~/.bash_aliases and define the alias:

alias texmaker='env UBUNTU_MENUPROXY= texmaker'

save it, exit and source it. From the home directory, do:

$. .bashrc

$. .bash_aliases

Done. Now opening Texmaker from the terminal will work perfectly.

Note: In a way it's very similar to @Vitor Abella's method.

1

The problem seems to be Qt5 and setting UBUNTU_MENUPROXY did not fix it for me on Ubuntu 16.10 for me, so here is my solution:

  • Remove Texmaker: sudo apt-get remove texmaker texmaker-data
  • Download the latest Debian version of Texmaker from: http://www.xm1math.net/texmaker/download.html#linux (In my case, I downloaded texmaker_debian_jessie_4.5_amd64.deb
  • Install it: sudo dpkg -i texmaker_debian_jessie_4.5_amd64.deb

Note: the package might have some dependencies like libqt4-opengl and libqtwebkit4 that you might have to install manually

  • Did you mean "did not fix it"? It didn't fix it for me either on 16.10, but the alternate .deb you pointed to did work. – Ian Hincks Mar 8 '17 at 17:18
0

In case of Ubuntu 16.10, I have installed version 4.5 for Ubuntu 14.04 and shortcut are working. I suppose the other versions for Qt4 will work too.

0

I had the same issue with ubuntu 16.10, and adding the env UBUNTU_MENUPROXY= to /usr/share/applications/texmaker.desktop did not work. Nevertheless, since Ubuntu 17.04 the problem seems to be gone - even without the env UBUNTU_MENUPROXY=, hotkeys work for me in Texmaker.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.